import { AfterViewInit, ChangeDetectorRef, ElementRef, EventEmitter, Renderer2 } from '@angular/core';
import { BehaviorSubject } from 'rxjs';
import dayjs from 'dayjs/esm';
import { DaterangepickerDirective, LocaleConfig } from 'ngx-daterangepicker-material';
import * as i0 from "@angular/core";
export declare class DataRangeComponentClass implements AfterViewInit {
    private document;
    private renderer;
    private elementRef;
    private cdr;
    opens: string;
    drops: string;
    startRange: Array<string>;
    previousRange: Array<string>;
    ranges: Array<string>;
    customRange: boolean;
    showPreviousPeriodChekbox: BehaviorSubject<boolean>;
    comparePreviousPeriod: boolean;
    previousCheckboxLabel: string;
    datepicker: DaterangepickerDirective;
    filterUpdate: EventEmitter<any>;
    maxDate: dayjs.Dayjs;
    minDate: dayjs.Dayjs;
    selected: any;
    rangesTable: any;
    invalidDates: dayjs.Dayjs[];
    locale: LocaleConfig;
    checkbox: any;
    isDataStored: boolean;
    private logger;
    constructor(document: Document, renderer: Renderer2, elementRef: ElementRef, cdr: ChangeDetectorRef);
    set setMaxDate(val: string);
    set setMinDate(val: string);
    isInvalidDate: (m: dayjs.Dayjs) => boolean;
    ngOnInit(): void;
    ngAfterViewInit(): void;
    changeButtonsClass(): void;
    saveData(e: any): void;
    onClick(): void;
    isCustomDate(date: any): false | "today" | "previous previous-range previous-limit-start previous-limit-end" | "previous previous-range previous-limit-start" | "previous previous-range previous-limit-end" | "previous previous-range";
    onEnterSubmit(e: any): void;
    onRangeClicked(e: any): void;
    endDateChangedHandler(): void;
    ngOnDestroy(): void;
    inputChanged($event: KeyboardEvent): void;
    startDateChangedHandler(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<DataRangeComponentClass, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<DataRangeComponentClass, "epom-daterange", never, { "opens": "opens"; "drops": "drops"; "startRange": "start-range"; "previousRange": "previous-range"; "ranges": "ranges"; "customRange": "customRange"; "showPreviousPeriodChekbox": "showPreviousPeriodChekbox"; "comparePreviousPeriod": "comparePreviousPeriod"; "previousCheckboxLabel": "previousCheckboxLabel"; "setMaxDate": "maxDate"; "setMinDate": "minDate"; }, { "filterUpdate": "filterUpdate"; }, never, never, false>;
}
